 

 

c      DO i = 1,30

c      print*," ABCWXYZ",fnpol(i),realpol(i)

c      ENDDO

c      pause

      

c-----The POLAN F layer - qualscan joins the F1 and F2 points into a single trace

c      Profile goes from iflayer (htdpol) to jflayer (hmF2_POL)

       iflayer = ihtvalpol2 + 1   !! first integer km above valley or above start of F layer

       htdpol = iflayer

       if(idfi17.le.0.) THEN      !! no E layer (night)

       htdpol = realpol(3)  !! starting point of F1/F2; Third point is fminF

       iflayer = htdpol     !! no E layer

       ENDIF

 

       jflayer = hmf2_POL

       kk = 0

c----- MODIFIED 30-july-2009. Loop now start at 3 (not 1), to avoid bad

c      values of altitude at second point (effective electron distribution)

       DO i = 3,700  !! 700 = DIM of realpol

       hite = realpol(i)

       if(hite.le.0.or.hite.gt.hmf2_POL) go to 1132    !!  (to break out of loop)

       if(hite.gt.htdpol.and.hite.le.hmf2_POL) THEN

       kk = kk + 1

       realht(kk) = realpol(i)

       fn(kk) = fnpol(i)

c      print*," POLAN PROF F1-F2",i,kk,realpol(i),fnpol(i)!!,kk,realht(kk),fn(kk)

       ENDIF

       ENDDO

1132   continue

 

c----- Modified 30-july-2009  - code removed

c----- For daytime ionograms, there could be a gap in the trace between foE

c      and fminF. Once upon a time, this gap was filled by a linear interpolation

c      between the two points. As of 30-july-2009, such gaps are ignored, rather

c      than make something up. The plasma frequencies for the intervening altitude

c      range will be left at the default values of -99.

 

c----- Find plasma freqs at each km [F layer]

       kflayer = realht(1)

       iiflayer = kflayer

       DO i = iiflayer,jflayer

       hite = i

       call ilios(fn,realht,hite,kk,4,ffn)

       fn_pol(i) = ffn      !! 1 km profile

c      print*," POLAN F layer",i,fn_pol(i)

       ENDDO

 

       kkF_pol = kk

 

c----- POLAN topside profile up to one scale height

       polsh = abs(shF2_POL)      !! may be flagged negative as uncertain

       jtop1 = jflayer + 1

       jtop2 = hmF2_POL + polsh

       DO i = jtop1,jtop2

       hite = i

       call chapman_peak (fof2_POL,hmf2_POL,polsh,hite,fn_chap)

       fn_pol(i) = fn_chap

       ENDDO

 

       DO i = igaimht1,jtop2

c      if(fn_pol(i).ne.0.) print*," POLAN proff",i,fn_pol(i)

       ENDDO

c      pause "XXXXX"
